DROP FUNCTION f_import_item_basic_attr(IN i_itemnm varchar, IN i_itemnmkana varchar, IN i_makercd integer, IN i_labelcd integer, IN i_seriescd integer, IN i_itemdivcd integer, IN i_examgroupcd integer, IN i_examno varchar, IN i_iteminfo text, IN i_eirinrating integer, IN i_subtitle varchar, IN i_OriginalTitle varchar, IN i_ProductYear varchar, IN i_ProductCountry varchar, IN i_shopdiv integer, IN i_updusrnm varchar, OUT errcd integer, OUT errmsg varchar, OUT code integer);

CREATE OR REPLACE FUNCTION f_import_item_basic_attr(
    IN i_itemnm varchar,        -- 品名
    IN i_itemnmkana varchar,    -- 品名(かな)
    IN i_makercd integer,       -- メーカーコード
    IN i_labelcd integer,       -- レーベルコード
    IN i_seriescd integer,      -- シリーズコード
    IN i_itemdivcd integer,     -- 作品区分コード
    IN i_examgroupcd integer,   -- 受審団体C / 公開区分C
    IN i_examno varchar,        -- 受審番号 / 映倫番号
    IN i_iteminfo text,         -- 作品案内
    IN i_eirinrating integer,   -- 映倫規定
    IN i_subtitle varchar,      -- サブタイトル

    IN i_OriginalTitle varchar,  -- 原題
    IN i_ProductYear varchar,    -- 製作年
    IN i_ProductCountry varchar, -- 製作国
    IN i_shopdiv integer,       -- 区分

    IN i_updusrnm varchar,      -- 更新ユーザ

    OUT errcd integer,
    OUT errmsg varchar,
    OUT code integer) AS
$$

DECLARE
    sql1 varchar;
    sql2 varchar;
    cntcheck integer;
    rec RECORD;

BEGIN

    -- 必須チェック --

    -- 処理区分
    IF i_updusrnm IS NULL THEN
        RAISE EXCEPTION '更新ユーザが指定されていません';
    END IF;

    -- 更新マシン(IPアドレス)のチェックはとりあえずしない

 --- 更新処理 ---
    INSERT INTO t_item_basic_attr(
        itemnm,
        itemnmkana,
        makercd,
        labelcd,
        seriescd,
        itemdivcd,
        examgroupcd,
        examno,
        iteminfo,
        eirinrating,
        subtitle,

        originaltitle,
        productyear,
        productcountry,
        shopdiv,

        updusrnm)
    VALUES(
        i_itemnm,
        i_itemnmkana,
        i_makercd,
        i_labelcd,
        i_seriescd,
        i_itemdivcd,
        i_examgroupcd,
        i_examno,
        i_iteminfo,
        i_eirinrating,
        i_subtitle,

        i_OriginalTitle,
        i_ProductYear,
        i_ProductCountry,
        i_shopdiv,

        i_updusrnm);
    errcd := 1;
    code := lastval();
    RETURN;
END;
$$
LANGUAGE 'plpgsql' VOLATILE;
